Support » Allgemeine Fragen » Burgermenü nicht anwählbar

  • Gelöst blacklama

    (@blacklama)


    Hallo – nach dem automatisierten WP update auf 5.6.2 funktioniert in der Responsive-Ansicht das Burgermenü leider nicht mehr. Desktop-Menüstruktur ohne Probleme.

    Hat jemand eine Idee?

    Die Seite, für die ich Hilfe brauche: [Anmelden, um den Link zu sehen]

Ansicht von 5 Antworten - 1 bis 5 (von insgesamt 5)
  • Moderator Bego Mario Garde

    (@pixolin)

    Tja, WordPress wird jetzt vegetarisch. Keine Burger. 😀

    Spaß beiseite, scheinbar wird jQuery nicht mehr geladen.

    Installier doch bitte mal das Plugin Code Snippets und füg folgendes Code Snippet hinzu:

    add_action( 'wp_enqueue_scripts', 'enqueue_jquery' );
    function enqueue_jquery() {
    	wp_enqueue_script('jquery');
    }

    Es reicht, wenn du „nur im Frontend ausführen“ angibst und es dann aktivierst. Klappt es dann mit dem Burger?

    Thread-Ersteller blacklama

    (@blacklama)

    „Snippet hinzugefügt und aktiviert.“ leider tut sich weiter nichts

    Moderator Bego Mario Garde

    (@pixolin)

    Kommando zurück, stimmt nicht was ich geschrieben habe. jQuery wird geladen, aber die Funktion „scrollspy“, die in deinem Theme verwendet wird, funktioniert wohl so nicht mehr. Laut diesem Thread: https://stackoverflow.com/a/54139615 muss eine andere JavaScript-Datei eingebunden werden. Du könntest statt des Code-Schnipsels oben mal dieses bitte probieren:

    add_action( 'wp_enqueue_scripts', 'enqueue_popper' );
    function enqueue_popper() {
    wp_enqueue_script( 'popper', 'https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js', array('jquery'), false, false );
    }

    Falls das nicht hilft, solltest du bitte den Entwickler des Themes ansprechen. Das Theme steht mir nicht zur Verfügung.

    Thread-Ersteller blacklama

    (@blacklama)

    Leider nein – aber vielen Dank, werde mal beim Theme-Anbieter nachfragen. Der Hinweis zu „scrollspy“ hilft da sicher schon mal zum Eingrenzen.

    Thread-Ersteller blacklama

    (@blacklama)

    Lisa aus dem englischsprachigem Forum hatte den Tipp das Enable jQuery Migrate Helper Plugin zu probieren. Stellt man es auf Legacy 1.12.4-wp um, funktioniert das Burgermenü wieder. Die Anfrage beim Theme-Anbieter steht noch aus, die Lizenz müsste erst verlängert werden – ohne kein Support / Ticket.

Ansicht von 5 Antworten - 1 bis 5 (von insgesamt 5)